\name{getSDMX}
\alias{getSDMX}
\title{Extract a list of time series}
\description{
  This function is used to extract a list of time series identified by the 
  parameters provided in input. It represents a quicker way for accessing a provider, not needing to instantiate the client and run the query in two distinct steps.
}
\usage{
  getSDMX(provider, id, start, end)
}
\arguments{
  \item{provider}{the label identifying the provider}
  \item{id}{the identifier of the time series (can contain wildcards, e.g. 'EXR.M.USD.EUR.SP00.A' or 'EXR.M.*.EUR.SP00.A') }
  \item{start}{the start time - optional}
  \item{end}{the end time - optionial}
}
\author{Attilio Mattiocco}
\examples{

#to get one timeseries data from ECB SDW

    my_ts=getSDMX('ECB','EXR.M.USD.EUR.SP00.A')

#to get all timeseries data from SDW with a key pattern

    my_ts=getSDMX('ECB','EXR.M.*.EUR.SP00.A')
}
